link

marty goodoldmarty at gmail.com
Mon Feb 18 15:06:04 PST 2008


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

> I had no trouble getting root access via vmsplice on 2.6.23.11-grsec.
> I did the same test with a vanilla 2.6.24.2 and the exploit doesn't work
> anymore.
> Unfortunately the Kernel didn't compile with the grsec patch, but I didn't
> have time yet to look more into it.
> 
Yes this exploit worked on my test system so I posted. We all need to upgrade.
The kernel WILL compile with the grsec feb 15 test patch. You will need to fully
configure grsecurity and pax first however, or you will probably see error 2.

Marty B.
- --
Putting Microsoft in a computer is like putting screen doors in a submarine.
Hopeless.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFHug9bodd/GHZYnVQRAiH3AKCxQPHoU4jN5dELiSJq3jo2KYq7xQCfTEYf
sgtOM4IwwT1reEAqp4N2LZQ=
=USE+
-----END PGP SIGNATURE-----



More information about the hlfs-dev mailing list